/*
 * Copyright 2000-2001 by Jean-Claude Christophe <jch@oleane.net>
 *                                               <jch@bsdfr.org>
 *
 * Home page:  http://www.bsdfr.org/projects/tac_bsd/
 *
 * conf.h  Proto for conf.c
 */

#ifndef _CONF_H_
#define _CONF_H_

#include "tac_bsd.h"

struct s_server tac_serv[128];

extern int read_conf(char *);

/*
 *  1: server       2:            3: syslog          4: syslog_facility      5: syslog_level
 *  6: premotd      7: motdpass   8: motdfail        9: shell               10: maxtry
 * 11: maxsession  12: directory 13: umask          14: passwd_care         15: maxlogintime
 * 16: uid         17: gid       18: server_timeout 19: reject_user         20: 
 * 21: permit_uid0
 */

#define MAX_OPTIONSLINE 21


/* 
 * Each options is described in conf.c
 * Missing options are in tac_bsd.h
 */

extern int  slog, slog_flty, slog_lvl, _syslog;
extern char *premotd, *motdpass, *motdfail;
extern char *shell;
extern int  maxtry, maxsession, maxlogintime;
extern char *directory, *reject_user;
extern int  passwd_care;
extern int  permit_uid0; /* TRUE: permit uid0 login  FALSE: deny */
// extern char check;  /* check the config file ? */
extern u_char serv_count;

#endif /* _CONF_H_ */
